Get SSH Key by ID
curl --request GET \
--url https://api.cloud.onidel.com/ssh_keys/{ssh_key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/ssh_keys/{ssh_key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/ssh_keys/{ssh_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ssh_key": {
"id": "a3f2e5d8-1234-4abc-9876-543210fedcba",
"created": "2024-01-15T10:30:00Z",
"name": "Production Server Key",
"ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC... user@hostname"
}
}SSH Keys
Get SSH Key by ID
Retrieve a specific SSH key by its UUID
GET
/
ssh_keys
/
{ssh_key_id}
Get SSH Key by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
SSH Key UUID
Query Parameters
Team ID to filter SSH keys. Default team will be used if not provided.
Response
Successful operation
Show child attributes
Show child attributes
⌘I